Probleme mit Installation von 3.0.5 auf Jessie

  • OMV 3.x
  • Resolved
  • Probleme mit Installation von 3.0.5 auf Jessie

    Hallo,
    beim Installieren von OMV 3.0.5 bekomme ich folgende Fehlermeldung:

    Source Code

    1. Setting up openmediavault (3.0.5) ...
    2. Creating users/groups ...
    3. groupadd: unrecognized option '--groups'
    4. Usage: groupadd [options] GROUP
    5. Options:
    6. -f, --force exit successfully if the group already exists,
    7. and cancel -g if the GID is already used
    8. -g, --gid GID use GID for the new group
    9. -h, --help display this help message and exit
    10. -K, --key KEY=VALUE override /etc/login.defs defaults
    11. -o, --non-unique allow to create groups with duplicate
    12. (non-unique) GID
    13. -p, --password PASSWORD use this encrypted password for the new group
    14. -r, --system create a system account
    15. -R, --root CHROOT_DIR directory to chroot into
    16. dpkg: error processing package openmediavault (--configure):
    17. subprocess installed post-installation script returned error exit status 2
    18. dpkg: dependency problems prevent configuration of openmediavault-omvextrasorg:
    19. openmediavault-omvextrasorg depends on openmediavault (>= 2.1.11); however:
    20. Package openmediavault is not configured yet.
    21. dpkg: error processing package openmediavault-omvextrasorg (--configure):
    22. dependency problems - leaving unconfigured
    23. Setting up liblvm2cmd2.02:amd64 (2.02.111-2.2) .
    Display All


    Ist das ein Fehler im Paket? Hat jemand ein Lösungsvorschlag?
  • There is a bug in 3.0.5. It is fixed in svn but has not been released yet. You really shouldn't be using OMV 3.x yet. It is still in beta.
    omv 4.0.14 arrakis | 64 bit | 4.13 backports kernel | omvextrasorg 4.1.0
    omv-extras.org plugins source code and issue tracker - github.com/OpenMediaVault-Plugin-Developers

    Please don't PM for support... Too many PMs!
  • Fehler ist mit sourceforge.net/p/openmediavault/code/2100 und sourceforge.net/p/openmediavault/code/2101 behoben. Momentan musst Du das Paket selber bauen um das Problem zu beheben.
    Absolutely no support through PM!

    I must not fear.
    Fear is the mind-killer.
    Fear is the little-death that brings total obliteration.
    I will face my fear.
    I will permit it to pass over me and through me.
    And when it has gone past I will turn the inner eye to see its path.
    Where the fear has gone there will be nothing.
    Only I will remain.

    Litany against fear by Bene Gesserit
  • Danke, ok dann werde ich mir das Paket selber bauen :)

    Hallo Volker,

    hab mir das Repository geholt, und mit "make binary" gebaut. Bekomme nur bei dem Hauptmodul openmediavault diese Exception:

    Source Code

    1. make[1]: Entering directory '/usr/src/openmediavault-code/deb/openmediavault'
    2. dh binary --with systemd
    3. dh: unable to load addon systemd: Can't locate Debian/Debhelper/Sequence/systemd.pm in @INC (you may need to install the Debian::Debhelper::Sequence::systemd module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at (eval 11) line 2.
    4. BEGIN failed--compilation aborted at (eval 11) line 2.
    5. debian/rules:9: recipe for target 'binary' failed


    Ich schaue weiter, vielleicht lässt sich das einfach korrigieren :)

    Viele Grüße,

    Petr

    ok, zu schnell geschrieben. Ein

    Source Code

    1. aptitude install dh-systemd
    hat es gelöst :)

    hm, gebaut, beim Installieren kommt diese Fehlermeldung:

    Source Code

    1. ​root@fractal:/usr/src/openmediavault-code/deb# dpkg -i openmediavault_3.0.6_all.deb
    2. Selecting previously unselected package openmediavault.
    3. (Reading database ... 200446 files and directories currently installed.)
    4. Preparing to unpack openmediavault_3.0.6_all.deb ...
    5. Unpacking openmediavault (3.0.6) ...
    6. Setting up openmediavault (3.0.6) ...
    7. Creating users/groups ...
    8. Installing default configuration
    9. Updating local package archive ...
    10. Updating init scripts actions ...
    11. Configuring web server
    12. Site configuration file 'default' not found.
    13. Site configuration file 'openmediavault-webgui' is already enabled.
    14. update-initramfs: Generating /boot/initrd.img-4.3.3-fractal
    15. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-2.fw for module r8169
    16. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-1.fw for module r8169
    17. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-2.fw for module r8169
    18. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-1.fw for module r8169
    19. W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
    20. W: mdadm: no arrays defined in configuration file.
    21. update-initramfs: Generating /boot/initrd.img-4.1.15-fractal
    22. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-2.fw for module r8169
    23. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-1.fw for module r8169
    24. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-2.fw for module r8169
    25. W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-1.fw for module r8169
    26. W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
    27. W: mdadm: no arrays defined in configuration file.
    28. update-initramfs: Generating /boot/initrd.img-3.16.0-4-amd64
    29. W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
    30. W: mdadm: no arrays defined in configuration file.
    31. Restarting services ...
    32. Updating configuration ...
    33. Processing triggers for openmediavault (3.0.6) ...
    34. Restarting engine daemon ...
    35. Socket error -- Connection refused
    36. Cannot connect to the monit daemon. Did you start it with http support?
    37. Failed to restart openmediavault-engined.service: Unit openmediavault-engined.service is masked.
    38. dpkg: error processing package openmediavault (--install):
    39. subprocess installed post-installation script returned error exit status 1
    40. Errors were encountered while processing:
    41. openmediavault
    Display All


    und beim Aufruf der Website:

    Source Code

    1. ​Error #3008:exception 'OMVException' with message 'Failed to load configuration (Warning 1549: failed to load external entity "/etc/openmediavault/config.xml" (line=0, column=0))' in /usr/share/php/openmediavault/config.inc:577Stack trace:#0 /usr/share/php/openmediavault/env.inc(22): require_once()#1 /var/www/openmediavault/index.php(23): require_once('/usr/share/php/...')#2 {main}


    Was kann das sein?

    Ok, es war die Berechtigung:

    Source Code

    1. root@fractal:~# ls -lh /etc/openmediavault/config.xml
    2. -rw-rw---- 1 root openmediavault-config 17K Jan 22 16:04 /etc/openmediavault/config.xml
    3. root@fractal:~# chmod a+r /etc/openmediavault/config.xml


    Bei der Anmeldung am WebGUI:

    Source Code

    1. Failed to connect to socket: Permission denied


    und

    Source Code

    1. Error #7001:
    2. exception 'OMVException' with message 'Failed to connect to socket: Permission denied' in /usr/share/php/openmediavault/rpc.inc:135
    3. Stack trace:
    4. /var/www/openmediavault/rpc/session.inc(72): OMVRpc::exec('UserMgmt', 'authUser', Array, Array, 2, true)
    5. [internal function]: OMVRpcServiceSession->login(Array, Array)
    6. /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
    7. /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('login', Array, Array)
    8. /usr/share/php/openmediavault/rpcproxy.inc(125): OMVRpc::exec('Session', 'login', Array, Array, 3)
    9. /var/www/openmediavault/rpc.php(32): OMVJsonRpcProxy->handle()
    10. {main}
  • The problem should be fixed with sourceforge.net/p/openmediavault/code/2102.

    Alternative you can do the following:

    Source Code

    1. # systemctl unmask openmediavault-engined.service
    2. # dpkg -i ​openmediavault_3.0.6_all.deb
    Absolutely no support through PM!

    I must not fear.
    Fear is the mind-killer.
    Fear is the little-death that brings total obliteration.
    I will face my fear.
    I will permit it to pass over me and through me.
    And when it has gone past I will turn the inner eye to see its path.
    Where the fear has gone there will be nothing.
    Only I will remain.

    Litany against fear by Bene Gesserit
  • Thanks. I rebuilt the package and the first error message complaining about openmediavault-engined.service went away:

    Source Code

    1. Socket error -- Connection refused
    2. Cannot connect to the monit daemon. Did you start it with http support?
    3. Failed to restart openmediavault-engined.service: Unit openmediavault-engined.service is masked.


    :)

    However, I still get

    Source Code

    1. Failed to connect to socket: Permission denied

    when logging on in the web gui.

    What could be the cause of this? I also noticed, that the permissions of some files appears the be wrong. Is this also a permission issue?
  • votdev wrote:

    The problem should be fixed with sourceforge.net/p/openmediavault/code/2102.

    Alternative you can do the following:

    Source Code

    1. # systemctl unmask openmediavault-engined.service
    2. # dpkg -i ​openmediavault_3.0.6_all.deb


    votdev, I do not see 3.0.6 available yet. (when I run that command I get an error, cause the file is not physically there, I assume).
    ​root@omv:~# dpkg -i openmediavault_3.0.6_all.deb
    dpkg: error processing archive openmediavault_3.0.6_all.deb (--install):
    cannot access archive: No such file or directory
    Errors were encountered while processing:
    openmediavault_3.0.6_all.deb
    root@omv:~#


    For the record, I'm fighting the same 3.0.5 package error.
    ​Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up openmediavault (3.0.5) ...
    Updating configuration ...
    groupadd: unrecognized option '--groups'
    Usage: groupadd [options] GROUP

    Options:
    -f, --force exit successfully if the group already exists,
    and cancel -g if the GID is already used
    -g, --gid GID use GID for the new group
    -h, --help display this help message and exit
    -K, --key KEY=VALUE override /etc/login.defs defaults
    -o, --non-unique allow to create groups with duplicate
    (non-unique) GID
    -p, --password PASSWORD use this encrypted password for the new group
    -r, --system create a system account
    -R, --root CHROOT_DIR directory to chroot into

    dpkg: error processing package openmediavault (--configure):
    subprocess installed post-installation script returned error exit status 2
    Errors were encountered while processing:
    openmediavault
    Creating index of upgradeable packages ...
    Creating index of openmediavault plugins ...
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@omv:~#


    Any way to fix this and/or manually download 3.0.6?
  • jtodaro wrote:

    votdev, I do not see 3.0.6 available yet. (when I run that command I get an error, cause the file is not physically there, I assume).

    3.0.6 is not released, yet. You have to build the package by your own.
    OMV stoneburner | HP Microserver | 256GB Samsung 830 SSD for system | 4x 2TB in a RAID5
    OMV erasmus| Odroid XU4 | 5TB Data drive | 500GB Backup drive